Index: include/roaraudio/meta.h
===================================================================
--- include/roaraudio/meta.h	(revision 6052)
+++ include/roaraudio/meta.h	(revision 0)
@@ -1,98 +1,28 @@
 //meta.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU Lesser General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  RoarAudio is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU Lesser General Public License for more details.
- *
- *  You should have received a copy of the GNU Lesser General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- *  NOTE: Even though this file is LGPLed it (may) include GPLed files
- *  so the license of this file is/may therefore downgraded to GPL.
- *  See HACKING for details.
- */
 
 #ifndef _ROARAUDIO_META_H_
 #define _ROARAUDIO_META_H_
 
-#define ROAR_META_TYPE_NONE           0
-#define ROAR_META_TYPE_TITLE          1
-#define ROAR_META_TYPE_ALBUM          2
-#define ROAR_META_TYPE_AUTHOR         3
-#define ROAR_META_TYPE_AUTOR          ROAR_META_TYPE_AUTHOR
-#define ROAR_META_TYPE_ARTIST         ROAR_META_TYPE_AUTHOR
-#define ROAR_META_TYPE_VERSION        4
-#define ROAR_META_TYPE_DATE           5
-#define ROAR_META_TYPE_LICENSE        6
-#define ROAR_META_TYPE_TRACKNUMBER    7
-#define ROAR_META_TYPE_ORGANIZATION   8
-#define ROAR_META_TYPE_DESCRIPTION    9
-#define ROAR_META_TYPE_GENRE          10
-#define ROAR_META_TYPE_LOCATION       11
-#define ROAR_META_TYPE_CONTACT        12
-#define ROAR_META_TYPE_STREAMURL      13
-#define ROAR_META_TYPE_HOMEPAGE       14
-#define ROAR_META_TYPE_THUMBNAIL      15
-#define ROAR_META_TYPE_LENGTH         16
-#define ROAR_META_TYPE_COMMENT        17
-#define ROAR_META_TYPE_OTHER          18
-#define ROAR_META_TYPE_FILENAME       19
-#define ROAR_META_TYPE_FILEURL        20
-#define ROAR_META_TYPE_SERVER         21
-#define ROAR_META_TYPE_DURATION       22
-#define ROAR_META_TYPE_WWW            ROAR_META_TYPE_HOMEPAGE
-#define ROAR_META_TYPE_WOAF           23 /* ID3: Official audio file webpage */
-#define ROAR_META_TYPE_ENCODER        24
-#define ROAR_META_TYPE_ENCODEDBY      ROAR_META_TYPE_ENCODER
-#define ROAR_META_TYPE_YEAR           25
-#define ROAR_META_TYPE_DISCID         26
-#define ROAR_META_TYPE_RPG_TRACK_PEAK 27
-#define ROAR_META_TYPE_RPG_TRACK_GAIN 28
-#define ROAR_META_TYPE_RPG_ALBUM_PEAK 29
-#define ROAR_META_TYPE_RPG_ALBUM_GAIN 30
-#define ROAR_META_TYPE_HASH           31
-#define ROAR_META_TYPE_SIGNALINFO     32
-#define ROAR_META_TYPE_AUDIOINFO      ROAR_META_TYPE_SIGNALINFO
-#define ROAR_META_TYPE_OFFSET         33
-#define ROAR_META_TYPE_PERFORMER      34
-#define ROAR_META_TYPE_COPYRIGHT      35
-#define ROAR_META_TYPE_LIKENESS       36
-#define ROAR_META_TYPE_COMPOSER       37
-#define ROAR_META_TYPE_RIGHTS         38
-#define ROAR_META_TYPE_ISRC           39
-#define ROAR_META_TYPE_LANGUAGE       40
-#define ROAR_META_TYPE_GTIN           41
-#define ROAR_META_TYPE_ISBN           ROAR_META_TYPE_GTIN
-#define ROAR_META_TYPE_EAN            ROAR_META_TYPE_GTIN
-#define ROAR_META_TYPE_PUBLISHER      42
-#define ROAR_META_TYPE_DISCNUMBER     43
-#define ROAR_META_TYPE_SOURCEMEDIA    44
-#define ROAR_META_TYPE_LABEL          45
-#define ROAR_META_TYPE_LABELNO        46
+#define ROAR_META_TYPE_NONE          0
+#define ROAR_META_TYPE_TITLE         1
+#define ROAR_META_TYPE_ALBUM         2
+#define ROAR_META_TYPE_AUTOR         3
+#define ROAR_META_TYPE_ARTIST        ROAR_META_TYPE_AUTOR
+#define ROAR_META_TYPE_VERSION       4
+#define ROAR_META_TYPE_DATE          5
+#define ROAR_META_TYPE_LICENSE       6
+#define ROAR_META_TYPE_TRACKNUMBER   7
+#define ROAR_META_TYPE_ORGANIZATION  8
+#define ROAR_META_TYPE_DESCRIPTION   9
+#define ROAR_META_TYPE_GENRE         10
+#define ROAR_META_TYPE_LOCATION      11
+#define ROAR_META_TYPE_CONTACT       12
+#define ROAR_META_TYPE_STREAMURL     13
+#define ROAR_META_TYPE_HOMEPAGE      14
+#define ROAR_META_TYPE_THUMBNAIL     15
+#define ROAR_META_TYPE_LENGTH        16
 
 
-#define ROAR_META_MODE_SET           0
-#define ROAR_META_MODE_ADD           1
-#define ROAR_META_MODE_DELETE        2
-#define ROAR_META_MODE_CLEAR         3
-#define ROAR_META_MODE_FINALIZE      4
-
 #define ROAR_META_MAX_NAMELEN 32
-
-#define ROAR_META_MAX_PER_STREAM 16
 
 struct roar_meta {
Index: include/roaraudio/proto.h
===================================================================
--- include/roaraudio/proto.h	(revision 6052)
+++ include/roaraudio/proto.h	(revision 0)
@@ -1,29 +1,3 @@
-//proto.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU Lesser General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  RoarAudio is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU Lesser General Public License for more details.
- *
- *  You should have received a copy of the GNU Lesser General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- *  NOTE: Even though this file is LGPLed it (may) include GPLed files
- *  so the license of this file is/may therefore downgraded to GPL.
- *  See HACKING for details.
- */
+//porto.h:
 
 #ifndef _ROARAUDIO_PORTO_H_
@@ -50,60 +24,16 @@
 //#define ROAR_CMD_
 
-#define ROAR_CMD_EXIT          13 /* make the server quit */
-#define ROAR_CMD_LIST_STREAMS  14 /* list all streams (not only playback streams like esd does) */
-#define ROAR_CMD_LIST_CLIENTS  15 /* list all clients */
+#define ROAR_CMD_EXIT          13
+#define ROAR_CMD_LIST_STREAMS  14
+#define ROAR_CMD_LIST_CLIENTS  15
 
-#define ROAR_CMD_GET_CLIENT    16 /* get infos about a client */
-#define ROAR_CMD_GET_STREAM    17 /* get infos about a stream */
+#define ROAR_CMD_GET_CLIENT    16
+#define ROAR_CMD_GET_STREAM    17
 
-#define ROAR_CMD_KICK          18 /* kick a client, stream, sample or source */
+#define ROAR_CMD_KICK          18
 
-#define ROAR_CMD_SET_VOL       19 /* change volume */
-#define ROAR_CMD_GET_VOL       20 /* get volume */
 
-#define ROAR_CMD_CON_STREAM    21 /* let the server connect to something to get data for a new stream */
-
-#define ROAR_CMD_GET_META      22 /* get meta data of streamed data */
-#define ROAR_CMD_LIST_META     23 /* get list of meta data of streamed data */
-
-#define ROAR_CMD_BEEP          24 /* send an beep */
-
-#define ROAR_AUTHCTL           25
-#define ROAR_ACLCTL            26
-
-#define ROAR_CMD_GET_STREAM_PARA   27 /* Get addition stream parameters like blocksizes */
-#define ROAR_CMD_SET_STREAM_PARA   28 /* set special stream parameter */
-
-#define ROAR_CMD_ATTACH        29 /* attach a OUTPUT or source */
-#define ROAR_CMD_DETACH        ROAR_CMD_KICK /* just to have an alias */
-
-#define ROAR_CMD_PASSFH        30 /* send an fh via UNIX Domain Socket to the roard */
-
-#define ROAR_CMD_GETTIMEOFDAY  31 /* get time of day from server */
-
-#define ROAR_CMD_WHOAMI        32 /* returns the ID of the current client */
-
-#define ROAR_CMD_DEVCTL        33 /* send control messages to devices */
-#define ROAR_CMD_CAPS          34 /* send caps */
-#define ROAR_CMD_WAIT          35 /* wait for an event */
-#define ROAR_CMD_NOTIFY        36 /* asyncronus notify of events */
-#define ROAR_CMD_SEEK          37 /* seek in stream */
-#define ROAR_CMD_CLIENTCTL     38 /* like stream ctl, just for client connections */
-#define ROAR_CMD_LOOKUP        39 /* lookup??? */
-#define ROAR_CMD_CONCTL        40 /* change parameter for current connection */
-
-#define ROAR_CMD_SHIFT_DATA    41 /* get some data from the stream */
-
-// Reserved for RAUM project:
-#define ROAR_CMD_RAUM_SEEKTABLE 201 /* contains a seektable */
-#define ROAR_CMD_RAUM_PICTURE   202 /* contains a picture block */
-#define ROAR_CMD_RAUM_SYNC      203 /* used for raw-seeking, contains a magic pattern */
-// End of reserved block
-
-#define ROAR_CMD_EPERM        252 /* error: permition denided */
-#define ROAR_CMD_OK_STOP      253 /* used internaly in the serveer: */
-                                  // ROAR_CMD_OK but do not queue the client again within the block
-#define ROAR_CMD_OK           254 /* return value OK */
-#define ROAR_CMD_ERROR        255 /* return value ERROR */
+#define ROAR_CMD_OK           254
+#define ROAR_CMD_ERROR        255
 
 
@@ -112,120 +42,8 @@
 
 // object types...
-#define ROAR_OT_CLIENT    1
-#define ROAR_OT_STREAM    2
-#define ROAR_OT_SOURCE    3
-#define ROAR_OT_SAMPLE    4
-#define ROAR_OT_OUTPUT    5
-#define ROAR_OT_MIXER     6
-#define ROAR_OT_BRIDGE    7
-#define ROAR_OT_LISTEN    8
-#define ROAR_OT_ACTION    9
-#define ROAR_OT_MSGQUEUE 10
-#define ROAR_OT_MSGBUS   11
-
-// filter:
-#define ROAR_CTL_FILTER_ANY   0
-#define ROAR_CTL_FILTER_DIR   1
-
-#define ROAR_CTL_CMP_ANY      ROAR_CTL_FILTER_ANY
-#define ROAR_CTL_CMP_EQ       1
-#define ROAR_CTL_CMP_NE       2
-
-// auth types...
-#define ROAR_AUTH_T_AUTO               -1
-#define ROAR_AUTH_T_NONE                0 /* do not auth */
-#define ROAR_AUTH_T_COOKIE              1 /* use cookie */
-#define ROAR_AUTH_T_TRUST               2 /* trust: used for UNIX Domain sockets, */
-                                          /* same uid = trusted, diffrent uid = public */
-#define ROAR_AUTH_T_PASSWORD            3 /* use password */
-#define ROAR_AUTH_T_SYSUSER             4 /* use local/NIS/PAM userdatabase */
-#define ROAR_AUTH_T_OPENPGP_SIGN        5
-#define ROAR_AUTH_T_OPENPGP_ENCRYPT     6
-#define ROAR_AUTH_T_OPENPGP_AUTH        7
-#define ROAR_AUTH_T_KERBEROS            8
-#define ROAR_AUTH_T_RHOST               9
-#define ROAR_AUTH_T_XAUTH              10
-#define ROAR_AUTH_T_IDENT              11
-
-
-// attach types...
-#define ROAR_ATTACH_SIMPLE  1 /* move a stream from one to another client (attach the stream to it) */
-#define ROAR_ATTACH_SOURCE  2 /* attach a new source to the server */
-#define ROAR_ATTACH_OUTPUT  3 /* attach a new output stream to the server */
-#define ROAR_ATTACH_MIXER   4 /* attach a new hwmixer stream to the server */
-#define ROAR_ATTACH_BRIDGE  5 /* attach a new bridge stream to the server */
-
-// modes for ROAR_CMD_?ET_STREAM_PARA...
-#define ROAR_STREAM_PARA_INFO       1
-#define ROAR_STREAM_PARA_FLAGS      2
-#define ROAR_STREAM_PARA_NAME       3
-#define ROAR_STREAM_PARA_CHANMAP    4
-#define ROAR_STREAM_PARA_ROLE       5
-#define ROAR_STREAM_PARA_HASHTABLE  6
-#define ROAR_STREAM_PARA_WININFO    7
-#define ROAR_STREAM_PARA_PROPTABLE  8
-#define ROAR_STREAM_PARA_LTM        9
-#define ROAR_STREAM_PARA_USAGE     10 /* used by RAUM */
-#define ROAR_STREAM_PARA_RADIO     11 /* used by RDTCS */
-#define ROAR_STREAM_PARA_RPG       12
-
-// modes for ROAR_STREAM_PARA_RPG:
-#define ROAR_RPGMODE_DEFAULT       -1
-#define ROAR_RPGMODE_NONE           0
-#define ROAR_RPGMODE_USER           1
-#define ROAR_RPGMODE_ALBUM          2
-#define ROAR_RPGMODE_TRACK          3
-#define ROAR_RPGMODE_ALBUMTRACK     4
-#define ROAR_RPGMODE_TRACKALBUM     5
-
-// Message flags:
-#define ROAR_MF_NONE                0x00000000 /* No flags set              | Versions: *ALL* */
-#define ROAR_MF_SID                 0x00000001 /* Stream ID                 | Versions: 1   */
-#define ROAR_MF_SPOS                0x00000002 /* Stream Possition          | Versions: 1   */
-#define ROAR_MF_DL                  0x00000004 /* Data Length               | Versions: 1   */
-#define ROAR_MF_LSID                0x00000008 /* Long Stream ID            | Versions: 1   */
-#define ROAR_MF_LSPOS               0x00000010 /* Long Stream Possition     | Versions: 1,2 */
-#define ROAR_MF_LDL                 0x00000020 /* Long Data Length          | Versions: 1   */
-#define ROAR_MF_ED                  0x00000040 /* Error Detection           | Versions: 1,2 */
-#define ROAR_MF_MF                  0x00000080 /* Meta Framing              | Versions: 1   */
-#define ROAR_MF_UNIID               0x00000100 /* Stream ID is Universal ID | Versions: 2   */
-#define ROAR_MF_ANNOUNCE            0x00000200 /* This is an announcement   | Versions: 2   */
-#define ROAR_MF_CLOUD               0x00000400 /* To cloud                  | Versions: 2   */
-
-// Types for SERVER_INFO:
-#define ROAR_IT_SERVER              1
-#define ROAR_IT_COUNTERS            2
-//#define ROAR_IT_LISTEN 3
-
-// Types for ROAR_IT_SERVER (Information Type Server Type = ITST)
-#define ROAR_ITST_VERSION           0
-#define ROAR_ITST_LOCATION          1
-#define ROAR_ITST_DESCRIPTION       2
-#define ROAR_ITST_CONTACT           3
-#define ROAR_ITST_UN_SYSNAME        4
-#define ROAR_ITST_UN_NODENAME       5
-#define ROAR_ITST_UN_RELEASE        6
-#define ROAR_ITST_UN_MACHINE        7
-#define ROAR_ITST_SERIAL            8
-#define ROAR_ITST_ADDRESS           9
-#define ROAR_ITST_UIURL             10
-#define ROAR_ITST_HOSTID            11
-#define ROAR_ITST_LICENSE           12
-#define ROAR_ITST_BUILD             13
-
-// IDs for diffrent clocks:
-#define ROAR_CLOCK_DEFAULT          -2
-#define ROAR_CLOCK_UNKNOWN          -1
-#define ROAR_CLOCK_REALTIME          1
-#define ROAR_CLOCK_MONOTONIC         2
-#define ROAR_CLOCK_UPTIME            3
-
-// old: do not use.
-struct roar_timeofday {
- int64_t  t_sec;   // secund part of system time
- uint64_t t_nsec;  // nano-secund part of system time // we use a int64 here so all types are int64...
- uint64_t c_nhz;   // system hi res timer freq in nHz
- uint64_t d_nsps;  // clock drift in nano secs per sec
-};
+#define ROAR_OT_CLIENT 1
+#define ROAR_OT_STREAM 2
+#define ROAR_OT_SOURCE 3
+#define ROAR_OT_SAMPLE 4
 
 #endif
Index: include/roaraudio/sample.h
===================================================================
--- include/roaraudio/sample.h	(revision 6052)
+++ include/roaraudio/sample.h	(revision 0)
@@ -1,37 +1,11 @@
-//sample.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU Lesser General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  RoarAudio is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU Lesser General Public License for more details.
- *
- *  You should have received a copy of the GNU Lesser General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- *  NOTE: Even though this file is LGPLed it (may) include GPLed files
- *  so the license of this file is/may therefore downgraded to GPL.
- *  See HACKING for details.
- */
+//stream.h:
 
 #ifndef _ROARAUDIO_SAMPLE_H_
 #define _ROARAUDIO_SAMPLE_H_
 
-// we do not need any roar_audio_info struct because it IS in servers native format
 struct roar_sample {
- char                 name[ROAR_BUFFER_NAME];
- struct roar_buffer * data;
+ size_t len;
+ void * data;
+ struct roar_audio_info info;
 };
 
Index: include/roaraudio/stream.h
===================================================================
--- include/roaraudio/stream.h	(revision 6052)
+++ include/roaraudio/stream.h	(revision 0)
@@ -1,29 +1,3 @@
 //stream.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU Lesser General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  RoarAudio is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU Lesser General Public License for more details.
- *
- *  You should have received a copy of the GNU Lesser General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- *  NOTE: Even though this file is LGPLed it (may) include GPLed files
- *  so the license of this file is/may therefore downgraded to GPL.
- *  See HACKING for details.
- */
 
 #ifndef _ROARAUDIO_STREAM_H_
@@ -32,107 +6,13 @@
 #define ROAR_DIR_DEFAULT ROAR_DIR_PLAY
 
-#define ROAR_DIR_PLAY        1
-#define ROAR_DIR_RECORD      2
-#define ROAR_DIR_MONITOR     3
-#define ROAR_DIR_FILTER      4
+#define ROAR_DIR_PLAY     1
+#define ROAR_DIR_RECORD   2
+#define ROAR_DIR_MONITOR  3
+#define ROAR_DIR_FILTER   4
 
-#define ROAR_DIR_OUTPUT      5
+#define ROAR_DIR_OUTPUT   5
 
-#define ROAR_DIR_MIXING      6
+//#define ROAR_DIR_MIXING   6
 //#define ROAR_DIR_INTERNAL 7
-
-#define ROAR_DIR_META        8
-#define ROAR_DIR_BIDIR       9
-
-#define ROAR_DIR_THRU       10
-
-#define ROAR_DIR_BRIDGE     11
-
-// MIDI:
-#define ROAR_DIR_MIDI_IN    12
-#define ROAR_DIR_MIDI_OUT   13
-
-// Light Control:
-#define ROAR_DIR_LIGHT_IN   14
-#define ROAR_DIR_LIGHT_OUT  15
-
-// Raw Data:
-#define ROAR_DIR_RAW_IN     16
-#define ROAR_DIR_RAW_OUT    17
-
-// Complex (multi-content container):
-#define ROAR_DIR_COMPLEX_IN  18
-#define ROAR_DIR_COMPLEX_OUT 19
-
-// Radio Data and Transmitter Control System:
-#define ROAR_DIR_RDTCS_IN    20
-#define ROAR_DIR_RDTCS_OUT   21
-
-// RECORD+PLAY:
-#define ROAR_DIR_RECPLAY     22
-
-// Max DIR +1:
-#define ROAR_DIR_DIRIDS      23
-
-// Stream flags:
-#define ROAR_FLAG_NONE           0x0000
-#define ROAR_FLAG_PRIMARY        0x0001
-#define ROAR_FLAG_OUTPUT         0x0002
-#define ROAR_FLAG_DRIVER         ROAR_FLAG_OUTPUT
-#define ROAR_FLAG_SOURCE         0x0004
-#define ROAR_FLAG_SYNC           0x0008
-#define ROAR_FLAG_META           0x0010
-#define ROAR_FLAG_AUTOCONF       0x0020
-#define ROAR_FLAG_CLEANMETA      0x0040
-#define ROAR_FLAG_HWMIXER        0x0080
-#define ROAR_FLAG_PAUSE          0x0100
-#define ROAR_FLAG_MUTE           0x0200
-#define ROAR_FLAG_MMAP           0x0400
-#define ROAR_FLAG_ANTIECHO       0x0800
-#define ROAR_FLAG_VIRTUAL        0x1000
-#define ROAR_FLAG_RECSOURCE      0x2000
-#define ROAR_FLAG_PASSMIXER      0x4000
-#define ROAR_FLAG_PRETHRU        0x8000
-// next are the exteded flags (> 16 bits)
-//#define ROAR_FLAG_SYNC           0x08
-#define ROAR_FLAG_IMMUTABLE      0x00010000
-#define ROAR_FLAG_ENHANCE        0x00020000
-#define ROAR_FLAG_SINGLESINK     0x00040000
-
-#define ROAR_SET_FLAG            0
-#define ROAR_RESET_FLAG          1
-#define ROAR_TOGGLE_FLAG         2
-#define ROAR_NOOP_FLAG           3
-#define ROAR_PROTECT_FLAG        0x8000
-#define ROAR_SET_FLAG_PROTECT    (ROAR_SET_FLAG|ROAR_PROTECT_FLAG)
-#define ROAR_RESET_FLAG_PROTECT  (ROAR_RESET_FLAG|ROAR_PROTECT_FLAG)
-
-// Stream states:
-#define ROAR_STREAMSTATE_UNKNOWN   -1
-#define ROAR_STREAMSTATE_NULL       0
-#define ROAR_STREAMSTATE_UNUSED     ROAR_STREAMSTATE_NULL
-#define ROAR_STREAMSTATE_INITING    1
-#define ROAR_STREAMSTATE_NEW        2
-#define ROAR_STREAMSTATE_OLD        3
-#define ROAR_STREAMSTATE_CLOSING    4
-
-// Stream roles:
-// PA currently defines: video, music, game, event, phone, animation, production, a11y
-// RA includes         : YES    YES    YES   YES    YES    NO         NO          NO
-
-#define ROAR_ROLE_UNKNOWN          -1
-#define ROAR_ROLE_NONE              0
-#define ROAR_ROLE_MUSIC             1
-#define ROAR_ROLE_VIDEO             2
-#define ROAR_ROLE_GAME              3
-#define ROAR_ROLE_EVENT             4
-#define ROAR_ROLE_BEEP              5
-#define ROAR_ROLE_PHONE             6
-#define ROAR_ROLE_BACKGROUND_MUSIC  7
-#define ROAR_ROLE_VOICE             8
-#define ROAR_ROLE_INSTRUMENT        9
-#define ROAR_ROLE_RHYTHM           10
-#define ROAR_ROLE_CLICK            11
-#define ROAR_ROLE_MIXED            12
 
 
@@ -144,5 +24,4 @@
 #define ROAR_STREAMS_MAX  64
 
-
 struct roar_stream {
  int id;
@@ -153,7 +32,12 @@
 
  uint32_t pos;
- uint32_t pos_rel_id; // TODO: why is this not int?
+ uint32_t pos_rel_id;
 
  struct roar_audio_info info;
+
+ int    datalen;
+ char * database;
+ int    offset;
+ char * dataoff;
 };
 
Index: libroar/Makefile
===================================================================
--- libroar/Makefile	(revision 5849)
+++ libroar/Makefile	(revision 0)
@@ -1,35 +1,16 @@
-include ../Makefile.conf
-include ../Makefile.inc
-
-BASENAME=libroar
-SLIB=$(BASENAME)$(SHARED_SUFFIX)
-ALIB=$(BASENAME).a
-
-TARGETS=$(SLIB) $(ALIB) $(IMPLIB)
-VIO_META=vio.o vio_select.o vio_ops.o vio_string.o
-VIO_BRIDGE=vio_bio.o vio_stdio.o
-VIO=$(VIO_META) $(VIO_BRIDGE) vio_cmd.o vio_magic.o vio_pipe.o vio_socket.o vio_winsock.o vio_stack.o vio_jumbo.o vio_proto.o vio_dstr.o vio_tantalos.o vio_rtp.o vio_buffer.o vio_buffer_store.o vio_stdvios.o vio_misc.o vio_zlib.o vio_stream.o vio_proxy.o
-HASHES=hash.o hash_tiger.o hash_sha1.o
-PASSWORD=passwordapi.o pinentry.o sshaskpass.o
-CRYPTO=crypto.o random.o $(HASHES) crc.o
-OBJS=libroar.o config.o debug.o error.o basic.o stream.o client.o simple.o auth.o socket.o ctl.o buffer.o meta.o file.o acl.o cdrom.o $(PASSWORD) $(VIO) stack.o slp.o nnode.o roardl.o plugincontainer.o roarx11.o beep.o proto.o env.o keyval.o vs.o ltm.o notify.o notify_proxy.o asyncctl.o enumdev.o serverinfo.o $(CRYPTO) authfile.o caps.o roarfloat.o base64.o trap.o memmgr.o time.o kstore.o uuid.o watchdog.o scheduler.o
+TARGETS=libroar.so
+OBJS=libroar.o basic.o stream.o simple.o auth.o socket.o ctl.o buffer.o convert.o
 
 #DEFINES        = -DDEBUG
-#DEFINES+= -D_LIBROAR_NOATTR_WARNINGS
-INCLUDE = -I../include -I../include/libroar
-CFLAGS += $(DEBUG_g) $(Wall) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
-LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) $(LDPATH)
-LIBS    = $(LIBROAR_NS)
+INCLUDE = -I../include -I./include
+CFLAGS  = -g -Wall -O2 $(DEFINES) $(INCLUDE)
+LDFLAGS = -g -shared
 
 all: ${TARGETS}
-	rm -f ../lib/${SLIB} 2> /dev/null || true
-	cp $(cp_v) ${TARGETS} ../lib/
+	cp -v ${TARGETS} ../lib/
 clean:
 	rm -f ${TARGETS} *.o
 new: clean all
 
-$(SLIB): ${OBJS}
-	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(LIBROAR_V) -o $(SLIB) ${OBJS} ${LIBS}
-$(ALIB): ${OBJS}
-	${AR} cru $(ALIB) ${OBJS}
-	${RANLIB} $(ALIB)
+libroar.so: ${OBJS}
+	${CC} ${LDFLAGS} -o libroar.so ${OBJS}
